/* You can add global styles to this file, and also import other style files */
@font-face {
  font-family: 'DXIcons';
  src: local("DevExtreme Generic Icons"), local("devextreme_generic_icons"), url(assets/icons/dxicons.woff2) format('woff2'), url(assets/icons/dxicons.woff) format('woff'), url(assets/icons/dxicons.ttf) format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: Comfortaa;
  src: url('assets/fonts/Comfortaa/Comfortaa-greek.woff2') format('woff2');
}

//@font-face {
//  font-family: Comfortaa;
//  src: url('assets/fonts/Comfortaa/Comfortaa-latin.woff2') format('woff2');
//}



/* Colors */
:root {
  //--primary: #013e81;
  --primary: #094771;
  --disabled-primary: #0e2637;
  --haeforangePrimary: #fcb502;
  --haefred: #df1326;
  --haefwhite: #f7f7f7;
  --secondary: #f4f3ef;
  --tertiary: #e6e6e6;
  --quaternary: #cfcfca;
  --quinary: #1b1f28;
  --senary: #ffffff;
  --septenary: #eeeeee;
  --octonary: #66615b;
  --success: #4caf50;
  --warning: #f7b733;
  --danger: #dd0330;
  --royal: #0000dc;
  --highlight: #e2e2e2;

  --primaryOrange: #fcb502;
  --primaryRed: #df1326;
  --primaryLighGray: #f7f7f7;
  --primaryDarkGray: #242832;
  --secondaryRed: #ed4e5d;
  --secondaryBlue: #008fff;
  --secondaryCyan: #74dccc;
  --secondaryLightGra: lightgray;
  --highlightSecondary: #f3f2ef;

  --headerNavBackGroundColor: #ee8b2e;
  --mainBlack: #171717;
  --mainBlue: #094771;
}

html, body {
  height: 100%;
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;

}
//Code adding
.dx-icon:before {
  font-family: DXIcons, "Helvetica Neue", serif;
}


.ff-c {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
}

body {
  margin: 0;
  overflow: hidden;
}

a, h1, h2, h3, h4, div, button, label {
  font-family: Comfortaa, DXIcons,  "Helvetica Neue", sans-serif !important;
}

.full-page-container {
  width: 100vw;
  height: 100vh;
}

//.mat-focused.mat-form-field-label {
//  /*change color of label*/
//  color: black !important;
//}
//
//.mat-form-field-underline {
//  /*change color of underline*/
//  background-color: black  !important;
//}
//
//.mat-form-field-ripple {
//  /*change color of underline when focused*/
//  background-color: black  !important;;
//}



//Standard
//.mat-form-field {
//  .mat-input-element {
//    color: white;
//  }
//
//  .mat-form-field-label {
//    color: white;
//  }
//
//  .mat-form-field-underline {
//    background-color: white;
//  }
//
//  .mat-form-field-ripple {
//    background-color: white;
//  }
//
//  .mat-form-field-required-marker {
//    color: white;
//  }
//}
//
//.mat-form-field-appearance-outline .mat-form-field-outline {
//  color: white;
//}
//
////Focus
//.mat-form-field.mat-focused {
//  .mat-form-field-label {
//    color: white;
//  }
//
//  .mat-form-field-ripple {
//    background-color: white;
//  }
//
//  .mat-form-field-required-marker {
//    color: #ff884d;
//  }
//
//  .mat-input-element {
//    color: white;
//  }
//}
//
//.mat-form-field-appearance-outline.mat-focused .mat-form-field-outline-thick {
//  color: white !important;
//}
//
////Error
//.mat-form-field.mat-form-field-invalid .mat-form-field-appearance-outline.mat-form-field-invalid {
//  .mat-input-element {
//    color: white;
//  }
//
//  .mat-form-field-label {
//    color: red;
//
//    .mat-form-field-required-marker {
//      color: red;
//    }
//  }
//
//  .mat-form-field-ripple {
//    background-color: red;
//  }
//}

.info {
  cursor: pointer;
}

.tooltip {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
  color: red;
}

.mat-tooltip.tooltip {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;

  font-size: 12px;
}

.notificationCard {
  border-radius: 15px !important;

  .cardHeader {
    padding-top: 15px;
    padding-bottom: 15px;
    text-align: start;
    background-color: var(--mainBlue);
    color: white;
    font-size: 18px;
    border-radius: 15px 15px 0 0 !important;

  }

  .cardContent {
    padding: 15px;
    border-radius: 0 0 15px 15px !important;
    background-color: white;

    label {
      color: var(--mainBlue);
      font-size: 16px;
    }
  }
}


::-webkit-scrollbar {
  //width: 10px;
  //height: 5px !important;
  //border-radius: 2%;
  //color: #4caf50;
 // background-color: #0e2637;

  display: none

}

/* Track */
::-webkit-scrollbar-track {
  //*background: #888;
  margin-top: 10px;
  margin-bottom: 5px;
}



/* Handle */
::-webkit-scrollbar-thumb {
  //*background: #888;
  //background: transparent;
  background: var(--mainBlack);
  border-radius: 5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  /*background: #555;*/
  *background: #888;
  cursor: pointer;
}

.no-padding-dialog .mat-dialog-container {
  padding: 0;
}

.dialog-header {
  background-color: var(--mainBlack);
  color: white;
  padding: 1rem;
}

.dialog-content {
  color: var(--mainBlack);;
  padding: 1rem;
}

.dialog-buttons {
  padding: 1rem;
  display: flex;
  flex: 1;
  flex-direction: row;
  justify-content: flex-end;
  align-items: flex-end;
  margin-top: 20px;

  button {
    margin: 5px;
  }

  .okButton {
    background-color: var(--mainBlack);
    color: white;
  }
}

.warning-snackbar{
  background-color: #4d0000;

}
.blue-snackbar{
  background-color: var(--mainBlack);
}


.title, .titleM {
  font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
  color: var(--mainBlue);
  font-size: 16px;
  border-bottom: 1px solid lightgray;
  padding-bottom: 1rem;
}

.titleM {
  font-size: 14px;
  border: 0;
  margin: 0;
  padding: 0;
}

.cardHolder {
  width: 100%;
}

.cardContent {
  padding: 0;
  margin: 0;
}

.timepicker {
  header {
    background-color: var(--mainBlue) !important;

    input {
      font-family: Comfortaa, "Helvetica Neue", sans-serif !important;
    }
  }
}


.clock-face {
  color: red !important;
}

.timepicker-button {
  background-color: var(--mainBlue) !important;
  color: white !important;
  margin-right: 1rem;
}

mat-row {
  input {
    cursor: pointer;
    border: 0 !important;
  }
}


.dark {
  background-color: var(--mainBlack);
  color: white;
}

.header{
  text-align: center;
  background-color: var(--mainBlack);
  color: white;
  padding-top: 10px;
  padding-bottom: 10px;
  margin: 0;
}

.rectangle {
  position: relative; /* Relative positioning */
  height: 150px; /* Adjust the height as needed */
}

/* Triangle styles */
.triangle {
  position: absolute; /* Absolute positioning inside the rectangle */
  bottom: 0;
  /* Position at the top of the rectangle */
  right: 0; /* Position at the right of the rectangle */
  width: 0;
  height: 0;
  border-radius: 2px;
  border-left: 150px solid transparent; /* Adjust the width of the triangle */
  border-right: 0.5px solid transparent; /* Adjust the width of the triangle */
  //border-bottom: 150px solid #09477180; /* Adjust the height of the triangle and change the color as needed */
}

.triangle2 {
  position: absolute; /* Absolute positioning inside the rectangle */
  top: 0;
  /* Position at the top of the rectangle */
  left: 0; /* Position at the right of the rectangle */
  width: 0;
  height: 0;
  border-radius: 2px;
  border-right: 150px solid transparent; /* Adjust the width of the triangle */
  border-left: 0.5px solid transparent; /* Adjust the width of the triangle */
  //border-bottom: 150px solid #09477180; /* Adjust the height of the triangle and change the color as needed */
}

.rectangle:hover {
  .ff-c {
    font-weight: 800;
  }
}

.chart {

}
